import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/goldenwater";

export function listChange(query) {
  return request({ url: '/pms/change/list', method: 'get', params: query })
}

export function getChange(chgId) {
  return request({ url: '/pms/change/' + parseStrEmpty(chgId), method: 'get' })
}

export function addChange(data) {
  return request({ url: '/pms/change', method: 'post', data: data })
}

export function updateChange(data) {
  return request({ url: '/pms/change', method: 'put', data: data })
}

export function delChange(chgId) {
  return request({ url: '/pms/change/' + chgId, method: 'delete' })
}
